/*
** Copyright 1995-1996 by the Massachusetts Institute of Technology.  All
** rights reserved. For more information, see the file COPYING which came
** with this source distribution.
*/

#ifndef MIDI_LIB_H
#define MIDI_LIB_H

#include "basic_types.h"
#include "Rogus.h"
#include "MidiMsg.h"
namespace rogus
{

class parser
{
public:
	typedef void (*handlerp)( MidiMsg* );
		
	handlerp msg_hnd[8]; // handlers for the basic message types
 
	parser() { for (int i=0; i<8; i++) msg_hnd[i] = NULL; } // 1

	virtual ~parser() {}
};
}
#endif
// Author: Ben Denckla, Patrick Pelletier

/*
Initializes all handlers to NULL so that in creating a parser, the user need only fill in the 
ones that are needed without worrying about setting others NULL.
*/