/*
** Copyright 1995-1996 by the Massachusetts Institute of Technology.  All
** rights reserved. For more information, see the file COPYING which came
** with this source distribution.
*/

#ifndef WRAPPEDCS_H
#define WRAPPEDCS_H

#include <process.h>
namespace rogus
{


class WrappedCS // CriticalSection in an object wrapper
{
   CRITICAL_SECTION cs;
public:
   WrappedCS()  { InitializeCriticalSection(&cs); }
   ~WrappedCS() { DeleteCriticalSection(&cs);     }
   void enter() { EnterCriticalSection(&cs);      }
   void leave() { LeaveCriticalSection(&cs);      }
};
}
#endif
