/*
** Copyright 1995-1996 by the Massachusetts Institute of Technology.  All
** rights reserved. For more information, see the file COPYING which came
** with this source distribution.
*/

#ifndef USER_PREFS_H
#define USER_PREFS_H

#include "basic_types.h"
#include "text_win.h"
namespace rogus
{


class user_prefs {
	enum { default_input_max_len = 50, default_output_max_len = 50, midiators_max_len = 10 };
public:

   bool statistics_on;
	bool running_status_on;
	char default_input[default_input_max_len];
	char default_output[default_output_max_len];
	char midiators[midiators_max_len];
   text_win::outfn *rmfp;

   user_prefs();
};
}
#endif