/*
** Copyright 1995-1996 by the Massachusetts Institute of Technology.  All
** rights reserved. For more information, see the file COPYING which came
** with this source distribution.
*/

#ifndef TRANSPOSER_H
#define TRANSPOSER_H

#include "MidiFilter.h"
namespace rogus
{


class Transposer : public MidiFilter {
	const int trans;
	static void transpose(MidiMsg*, const MidiFilter*);
	static void iterator1(ioref, int, ChannelStatePtr*, void*);
	static void iterator2(ioref, int, ChannelStatePtr*, void*);
public:
	Transposer(int t) : trans((t <= 64 && t >= -64) ? t : 0) { identity = "Transposer"; ptr = transpose; }
	void apply(State*) const;
	void unapply(State*) const;
};
}
#endif
// Author: Patrick Pelletier
