/*
** Copyright 1995-1996 by the Massachusetts Institute of Technology.  All
** rights reserved. For more information, see the file COPYING which came
** with this source distribution.
*/

#ifndef ROGUS_MCBOGUS_H
#define ROGUS_MCBOGUS_H


#include <stdarg.h>
#include "sched.h"
#include "user_prefs.h"
#include "MIDI_lib.h"
#include "UtilPtr.h"
#include "WrappedCS.h"
namespace rogus
{

typedef UtilPtr<parser> parserPtr;

class Rogus_McBogus {
   parserPtr p;
   static bool rogus_exists;
   WrappedCS cs;

public:
   class exception { };

   user_prefs up;
   text_win tw;
   err_and_warn ew;
   scheduler s;
   MIDIsvc o;

	Rogus_McBogus(user_prefs);
	~Rogus_McBogus();
	void setParser(parserPtr, const char*);
   const char* version();
};

typedef Rogus_McBogus::exception rx;
}
#endif
// Author: Patrick Pelletier
